org.codehaus.groovy.ast

## Class AstToTextHelper

- java.lang.Object
- - org.codehaus.groovy.ast.AstToTextHelper

    public class AstToTextHelper
    extends java.lang.Object

Helper class for converting AST into text.

### Constructor Summary

Constructors
Constructor and Description
`AstToTextHelper()`

### Method Summary

Methods
`static java.lang.String` `getClassText(ClassNode node)`
`static java.lang.String` `getModifiersText(int modifiers)`
`static java.lang.String` `getParametersText(Parameter[] parameters)`
`static java.lang.String` `getParameterText(Parameter node)`
`static java.lang.String` `getThrowsClauseText(ClassNode[] exceptions)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AstToTextHelper

    public AstToTextHelper()

### Method Detail

#### getClassText

    public static java.lang.String getClassText(ClassNode node)

#### getParameterText

    public static java.lang.String getParameterText(Parameter node)

#### getParametersText

    public static java.lang.String getParametersText(Parameter[] parameters)

#### getThrowsClauseText

    public static java.lang.String getThrowsClauseText(ClassNode[] exceptions)

#### getModifiersText

    public static java.lang.String getModifiersText(int modifiers)